Redmine - Feature #7811

Add support for NTLM authentication mode for mail sending via Exchange Server
2011-03-08 17:06 - Eric Chaplet

Status: Closed Start date: 2011-03-08
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description
The mail notification system doesn't work with Exchange Server 2007 in NTLM authentication mode

The only authentication mode allowed by our exchange server is NTLM and redmine sends an error while connecting.

See javamail 1.4.4 feature (ntlm support)for example : http://www.oracle.com/technetwork/java/javaee/index-138643.html
"- NTLM authentication support is now integrated, no longer need jcifs.jar."

Related issues:

Related to Redmine - Feature #7723: Proper Microsoft Exchange support New 2011-02-25
Has duplicate Redmine - Feature #18901: Redmine email smtp configuration stil... Closed
History

#1 - 2011-03-08 18:20 - Etienne Massip

- Tracker changed from Defect to Feature

AFAIK, NTLM authentication is not supported by redmine as of today, so this is a feature.

#2 - 2011-03-08 18:21 - Etienne Massip

- Subject changed from Mail notification doesn't work with Exchange Server in NTLM authentication mode to Add support for NTLM authentication
mode for mail sending via Exchange Server

- Priority changed from High to Normal

#3 - 2012-04-12 12:38 - Pavel Rudensky

Very Need this issue!!

#4 - 2012-04-12 14:36 - Gert van Dijk

A workaround for this could be to install a local MTA on the machine running Redmine and let it relay to the Exchange server.
Here's a how to | found for Postfix as MTA and NTLM-authenticated client for relaying mail (not for Redmine, but for Trixbox): Getting trixbox 2.6.2.2
Postfix to relay through Exchange Server 2007

#5 - 2012-04-12 16:14 - Pavel Rudensky

This issue resolve problem http://www.redmine.org/boards/2/topics/4969

#6 - 2012-10-26 11:54 - Florent Fievez

Please also read :
http://www.breckenedge.com/2011/07/configuration-of-ruby-on-rails-actionmailer-for-microsoft-exchange-smtp/

#7 - 2012-12-11 08:24 - Anonymous

+1!
| also would need this feature...

Sending mails via smtp using an exchange server (auth-method ntlm) is not possible at the moment. Many companies (as ours) use exchanges
based email services and if redmine supported ntim this would help us (and many others) very much.
Maybe redmine will support ntlm auth method in one of the next releases?

#8 - 2012-12-13 16:17 - Florent Fievez
http://www.oracle.com/technetwork/java/javaee/index-138643.html
http://alasdaircs.wordpress.com/2009/04/27/getting-trixbox-2-6-2-2-postfix-to-relay-through-exchange-server-2007/
http://alasdaircs.wordpress.com/2009/04/27/getting-trixbox-2-6-2-2-postfix-to-relay-through-exchange-server-2007/
http://www.redmine.org/boards/2/topics/4969
http://www.breckenedge.com/2011/07/configuration-of-ruby-on-rails-actionmailer-for-microsoft-exchange-smtp/

The solution that worked for me :

1. Create a Gemfile.local containing "ruby-ntim" :

# echo 'gem "ruby-ntlm"' > /path/to/redmine/Gemfile.local

2. Install the Gem with :

# bundle install

3. Add the following line to /path/to/redmine/config/environment.rb

require 'ntlm/smtp’'

4. Configure your smtp connection in /path/to/redmine/config/configuration.yml

# default configuration options for all environments
default:
email_delivery:
delivery_method: :smtp
smtp_settings:
address: exchange.domain.com
port: 25
domain: domain.com
authentication: :ntlm
user_name: 'user'
password: 'pass'

#9 - 2015-02-09 13:00 - Toshi MARUYAMA

- Has duplicate Feature #18901: Redmine email smtp configuration still not support Microsoft Exchange Server NTLM and Kerberos added

#10 - 2024-01-29 01:41 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

| am closing this issue because ActionMailer in Ruby on Rails does not natively support NTLM authentication for connecting to an SMTP server and
there is nothing that can be done on the Redmine side.

The comment #note-8 may be a solution.
